package com.knight.screenwidgetplugin;

import androidx.annotation.NonNull;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import io.flutter.embedding.engine.plugins.FlutterPlugin;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;

/** ScreenwidgetpluginPlugin */
public class ScreenwidgetpluginPlugin implements FlutterPlugin, MethodCallHandler {

  static final String _method = "pourTargets";
  public static ArrayList<Map> targets;

   @Override
  public void onMethodCall(@NonNull MethodCall call, @NonNull Result result) {
    if (call.method.equals(_method)) {
      if(call.argument("targets") == null){
        targets = new ArrayList<>();
        result.success(false);
      }
       else {
        targets = call.argument("targets");
        result.success(true);
      }
    } else {
      result.notImplemented();
    }
  }

  @Override
  public void onDetachedFromEngine(@NonNull FlutterPluginBinding binding) {
  }

  @Override
  public void onAttachedToEngine(@NonNull FlutterPluginBinding flutterPluginBinding) {
    final MethodChannel channel = new MethodChannel(flutterPluginBinding.getFlutterEngine().getDartExecutor(), "screenwidgetplugin");
    channel.setMethodCallHandler(new ScreenwidgetpluginPlugin());
  }

  public static void registerWith(Registrar registrar) {
    final MethodChannel channel = new MethodChannel(registrar.messenger(), "screenwidgetplugin");
    channel.setMethodCallHandler(new ScreenwidgetpluginPlugin());
  }
}
